Video Screencast Help
Symantec to Separate Into Two Focused, Industry-Leading Technology Companies. Learn more.

Netbackup Client Installation is failing

Created: 14 May 2013 • Updated: 19 Jun 2013 | 3 comments
This issue has been solved. See solution.
I am facing an issue with the Netbackup Client Installation. Its a new 
installation and here are the details which would be helpful for this 
case.
 
[root@bbtsvlmds414 NetBackup_7.1_CLIENTS]# cat /etc/redhat-release
Red Hat Enterprise Linux Server release 6.0 (Santiago)
[root@bbtsvlmds414 NetBackup_7.1_CLIENTS]# getconf LONG_BIT
64
 
 
While trying to install Netbackup 7.1 it is getting failed with the below 
error. 
 
[root@bbtsvlmds414 NetBackup_7.1_CLIENTS]# ./install
 
 
Symantec Installation Script
Copyright 1993 - 2011 Symantec Corporation, All Rights Reserved.
 
 
 Installing NetBackup Client Software
 
Do you wish to continue? [y,n] (y)
Do you want to install the NetBackup client software for this client? 
[y,n] (y)
 
This package will install Linux/RedHat2.6 client.
 
This package will install NetBackup client 7.1.
 
Enter the name of the NetBackup server : bbtsvxmdc304
 
Would you like to use "bbtsvlmds414.atle.bombardier.com" as the configured
name of the NetBackup client? [y,n] (y)
 
Installing PBX...
Please wait while installation is in progress...
Installation completed Successfully
Installation log located here: /var/tmp/installpbx-14770-042513152207.log
 
 
Unpacking SYMCnbclt package.
Checking for pre-existing SYMCnbclt package.
Installing SYMCnbclt package.
 
Failed to install SYMCnbclt on bbtsvlmds414.atle.bombardier.com.
Cannot complete the install.
Aborting...
 
========== Unpacking package ==========
SYMCnbclt.rpm
 
== Checking for pre-existing package ==
package SYMCnbclt is not installed
 
========= Installing package ==========
D: ============== /tmp/nb_pkg/SYMCnbclt.rpm
D: loading keyring from pubkeys in /var/lib/rpm/pubkeys/*.key
D: couldn't find any keys in /var/lib/rpm/pubkeys/*.key
D: loading keyring from rpmdb
D: opening  db environment /var/lib/rpm cdb:mpool:joinenv
D: opening  db index       /var/lib/rpm/Packages rdonly mode=0x0
D: locked   db index       /var/lib/rpm/Packages
D: opening  db index       /var/lib/rpm/Name rdonly mode=0x0
D:  read h#    1025 Header sanity check: OK
D: added key gpg-pubkey-fd431d51-4ae0493b to keyring
D:  read h#    1026 Header sanity check: OK
D: added key gpg-pubkey-2fa658e0-45700c69 to keyring
D: Using legacy gpg-pubkey(s) from rpmdb
D: Expected size:     97434352 = lead(96)+sigs(180)+pad(4)+data(97434072)
D:   Actual size:     97434352
D: /tmp/nb_pkg/SYMCnbclt.rpm: Header SHA1 digest: OK 
(f9cb5c88655b05cb9b659ded1c3eae966be02ac6)
D: ========== relocations
D:  added binary package [0]
D: found 0 source and 1 binary packages
D: ========== +++ SYMCnbclt-7.1.0.0-0 x86_64/linux 0x3
D: opening  db index       /var/lib/rpm/Providename rdonly mode=0x0
D:  Requires: VRTSpbx >= 1.5                                NO
D: package SYMCnbclt-7.1.0.0-0.x86_64 has unsatisfied Requires: VRTSpbx >= 
 
1.5
D: opening  db index       /var/lib/rpm/Basenames rdonly mode=0x0
D:  read h#      25 Header V3 RSA/SHA256 Signature, key ID fd431d51: OK
D:  Requires: /bin/sh                                       YES (db files)
D:  Requires: /bin/sh                                       YES (cached)
D:  Requires: /bin/sh                                       YES (cached)
D:  Requires: /bin/sh                                       YES (cached)
D:  Requires: rpmlib(PayloadFilesHavePrefix) <= 4.0-1       YES (rpmlib 
provides)
D:  Requires: rpmlib(CompressedFileNames) <= 3.0.4-1        YES (rpmlib 
provides)
D: opening  db index       /var/lib/rpm/Conflictname rdonly mode=0x0
error: Failed dependencies:
 VRTSpbx >= 1.5 is needed by SYMCnbclt-7.1.0.0-0.x86_64
D: closed   db index       /var/lib/rpm/Conflictname
D: closed   db index       /var/lib/rpm/Providename
D: closed   db index       /var/lib/rpm/Basenames
D: closed   db index       /var/lib/rpm/Name
D: closed   db index       /var/lib/rpm/Packages
D: closed   db environment /var/lib/rpm
 
A failure was detected running 
/tmp/NetBackup_7.1_CLIENTS/NBClients/anb/Clients/usr/openv/netbackup/client/Linux/RedHat2.6/cp_to_client 
 
bbtsvxmdc304 bbtsvlmds414.atle.bombardier.com /tmp/install_trace.14560
 
 
File /tmp/install_trace.14560 contains a trace of this install.
That file can be deleted after you are sure the install was successful.
 
Let me know in case you need any further help.
 
- Post this I have been asked to download the package once again from Symantec Support and match the checksum which I did and the result was
same. I have followed the Technote for gunzip version and gtar version while extracting.
 
Later On I have been asked to perform the following by Symantec Backline but its still failing.
 
rm -f /var/lib/rpm/__db* 
rpm rebuilddb 
yum clean all 
 
retry the install
 
If the above fails then
Disable "SELinux" and "IPv6" on the client and then re-boot the machine 
and then retry the installation.
 
But its still not going. I am planning a Server reboot soon but any other pointers ?
Operating Systems:

Comments 3 CommentsJump to latest comment

Dyneshia's picture

ensure $LD_LIBRARY_PATH is set correctly

Ensure you are logged in as root, ensure you have priviledges to access the package.

Also ensure /tmp and /var/tmp are writable to you (when logged in as root) and that there is enough space in them. /tmp should be write permissions (dwxrwxrwt) same for  /var/tmp 

ls -ld /tmp /var/tmp - what does it say?

df -k /tmp /var/tmp

Did you follow the instructions to use gtar to extract the NetBackup_7.5_CLIENTS.tar file?

See this TN: http://www.symantec.com/docs/TECH154080

Have you tried downloading the install again, maybe it's corrupted?

Reivew : http://www.symantec.com/docs/TECH169733

First confrim you have the correct version :

pkginfo -l VRTSpbx
 

Also confrim http://www.symantec.com/docs/TECH175097  ( same applies for 7.5 )

Info was taken from several forums :

https://www-secure.symantec.com/connect/forums/net...

Vijay K Gera's picture

Installation is completed post 

rm -f /var/lib/rpm/__db* 
rpm rebuilddb 
yum clean all 
 
retry the install
 
If the above fails then
Disable "SELinux" and "IPv6" on the client and then re-boot the machine 
and then retry the installation.
 
Thanks All !
CRZ's picture
Installing PBX...
Please wait while installation is in progress...
Installation completed Successfully
Installation log located here: /var/tmp/installpbx-14770-042513152207.log
This successful installation doesn't quite appear to be true, though...
D:  Requires: VRTSpbx >= 1.5                                NO
D: package SYMCnbclt-7.1.0.0-0.x86_64 has unsatisfied Requires: VRTSpbx >= 1.5
 
 
...
 
D: opening  db index       /var/lib/rpm/Conflictname rdonly mode=0x0 error: Failed dependencies:
 VRTSpbx >= 1.5 is needed by SYMCnbclt-7.1.0.0-0.x86_64

So I'm also interested in if your PBX installation actually succeeded.  In addition to the pkginfo command suggested by Dyneshia above, do you still have your /var/tmp/installpbx-14770-042513152207.log PBX installation log file?  Can we see it?


bit.ly/76LBN | APPLBN | 75LBN

SOLUTION